Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core.adapter
Interface PyObjectAdapter

All Known Implementing Classes:
  ClassAdapter, ClassicPyObjectAdapter, ExtensiblePyObjectAdapter

    public interface PyObjectAdapter

PyObjectAdapters turn Java Objects into PyObjects.

Method Summary
`PyObject` | `adapt(Object o)` Returns the PyObject version of o or null if canAdapt(o) returns false.
`boolean` | `canAdapt(Object o)` Returns true if o can be adapted by this adapter.

Method Detail

### canAdapt

    boolean canAdapt(Object o)

  Returns true if o can be adapted by this adapter.

### adapt

    PyObject adapt(Object o)

  Returns the PyObject version of o or null if canAdapt(o) returns false.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage